# Perform optional tests
%bcond_without perl_Test2_Plugin_IOEvents_enables_optional_tests

Name:           perl-Test2-Plugin-IOEvents
%global cpan_version 0.001001
Version:        0.1.1
Release:        3%{?dist}
Summary:        Turn STDOUT and STDERR into Test2 events
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test2-Plugin-IOEvents
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Test2-Plugin-IOEvents-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.9
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Test2::API) >= 1.302165
# Tests:
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test2::V0) >= 0.000124
%if %{with perl_Test2_Plugin_IOEvents_enables_optional_tests}
# Optional tests:
BuildRequires:  perl(Capture::Tiny)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Test2::API) >= 1.302165

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test2::API\\)$

%description
This Test2 plugin turns prints to STDOUT and STDERR objects (including warnings)
into the proper Test2 events.

%prep
%setup -q -n Test2-Plugin-IOEvents-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.1-2
- Perl 5.32 rebuild

* Mon Mar 02 2020 Petr Pisar <ppisar@redhat.com> 0.1.1-1
- Specfile autogenerated by cpanspec 1.78.
